CSelftestCallback Struct Referenceabstract

`#include <mia/core/selftestcmdoption.hh>`

## Public Member Functions

| CSelftestCallback (int argc, char **argv)

## Friends

class | CSelftestOption

## Detailed Description

The base class for the selftest callback.

The self test class provides the interface to add a selftest option that invokes the tests for normal programs.

For a working implementation the abstract method

int do_run(int argc, char **argv) const;

must be overridden. It must return zero if the tests pass and non-zero if they don't.

Definition at line 41 of file selftestcmdoption.hh.

## Constructor & Destructor Documentation

## CSelftestCallback()

CSelftestCallback::CSelftestCallback | ( | int | argc,
|  | char ** | argv )

Constructor of the callback function. Usually you can just inherit it by the C++11 "using Callback::Callback" directive.

Parameters

  argc | number of following arguments
  argv | an array of string arguments

## Friends And Related Symbol Documentation

## CSelftestOption

friend class CSelftestOption

friend

Definition at line 52 of file selftestcmdoption.hh.

References CSelftestOption.

Referenced by CSelftestOption.

The documentation for this struct was generated from the following file:

- selftestcmdoption.hh